Last modified: 2011-12-01 14:55:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28375 - When using existing DB user, grants aren't added to new tables
When using existing DB user, grants aren't added to new tables
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
unspecified
All All
: Highest blocker (vote)
: ---
Assigned To: Chad H.
:
Depends on:
Blocks: 26676
  Show dependency treegraph
 
Reported: 2011-04-01 21:08 UTC by Sam Reed (reedy)
Modified: 2011-12-01 14:55 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-04-01 21:08:28 UTC
Per IRC discussion with Chad, if the DB user account already exists, the grants aren't added to the existing user

<^demon> if ( !$this->getVar( '_CreateDBAccount' ) ) {
<^demon>  return Status::newGood();
<^demon> }
Comment 1 Chad H. 2011-04-01 21:09:33 UTC
Stupid mistake from when I redid all of this. Should be quick to fix (we should grant unconditionally if $wgDBuser != _InstallUser)
Comment 2 Chad H. 2011-05-02 18:54:59 UTC
Done in r87278.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links